package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * VoipTelephoneBookSetting
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VoipTelephoneBookSetting   {
  @JsonProperty("contactId")
  private String contactId;

  @JsonProperty("firstName")
  private String firstName;

  @JsonProperty("lastName")
  private String lastName;

  @JsonProperty("privatePhoneNumber")
  private String privatePhoneNumber;

  @JsonProperty("workPhoneNumber")
  private String workPhoneNumber;

  @JsonProperty("mobilePhoneNumber")
  private String mobilePhoneNumber;

  @JsonProperty("speedDialEnable")
  private Boolean speedDialEnable;

  @JsonProperty("speedDialNumberType")
  private Integer speedDialNumberType;

  @JsonProperty("speedDialNumber")
  private String speedDialNumber;

  public VoipTelephoneBookSetting contactId(String contactId) {
    this.contactId = contactId;
    return this;
  }

  /**
   * The contact ID of contact person.
   * @return contactId
  */
  @ApiModelProperty(value = "The contact ID of contact person.")


  public String getContactId() {
    return contactId;
  }

  public void setContactId(String contactId) {
    this.contactId = contactId;
  }

  public VoipTelephoneBookSetting firstName(String firstName) {
    this.firstName = firstName;
    return this;
  }

  /**
   * The firstName of contact person. It should contain 0 to 64 characters.
   * @return firstName
  */
  @ApiModelProperty(value = "The firstName of contact person. It should contain 0 to 64 characters.")

@Pattern(regexp="^[A-Za-z0-9]{0,64}$") 
  public String getFirstName() {
    return firstName;
  }

  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }

  public VoipTelephoneBookSetting lastName(String lastName) {
    this.lastName = lastName;
    return this;
  }

  /**
   * The lastName of contact person. It should contain 0 to 64 characters.
   * @return lastName
  */
  @ApiModelProperty(value = "The lastName of contact person. It should contain 0 to 64 characters.")

@Pattern(regexp="^[A-Za-z0-9]{0,64}$") 
  public String getLastName() {
    return lastName;
  }

  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public VoipTelephoneBookSetting privatePhoneNumber(String privatePhoneNumber) {
    this.privatePhoneNumber = privatePhoneNumber;
    return this;
  }

  /**
   * The privatePhoneNumber of contact person.
   * @return privatePhoneNumber
  */
  @ApiModelProperty(value = "The privatePhoneNumber of contact person.")


  public String getPrivatePhoneNumber() {
    return privatePhoneNumber;
  }

  public void setPrivatePhoneNumber(String privatePhoneNumber) {
    this.privatePhoneNumber = privatePhoneNumber;
  }

  public VoipTelephoneBookSetting workPhoneNumber(String workPhoneNumber) {
    this.workPhoneNumber = workPhoneNumber;
    return this;
  }

  /**
   * The workPhoneNumber of contact person.
   * @return workPhoneNumber
  */
  @ApiModelProperty(value = "The workPhoneNumber of contact person.")


  public String getWorkPhoneNumber() {
    return workPhoneNumber;
  }

  public void setWorkPhoneNumber(String workPhoneNumber) {
    this.workPhoneNumber = workPhoneNumber;
  }

  public VoipTelephoneBookSetting mobilePhoneNumber(String mobilePhoneNumber) {
    this.mobilePhoneNumber = mobilePhoneNumber;
    return this;
  }

  /**
   * The mobilePhoneNumber of contact person.
   * @return mobilePhoneNumber
  */
  @ApiModelProperty(value = "The mobilePhoneNumber of contact person.")


  public String getMobilePhoneNumber() {
    return mobilePhoneNumber;
  }

  public void setMobilePhoneNumber(String mobilePhoneNumber) {
    this.mobilePhoneNumber = mobilePhoneNumber;
  }

  public VoipTelephoneBookSetting speedDialEnable(Boolean speedDialEnable) {
    this.speedDialEnable = speedDialEnable;
    return this;
  }

  /**
   * Whether to enable the speedDial.
   * @return speedDialEnable
  */
  @ApiModelProperty(value = "Whether to enable the speedDial.")


  public Boolean getSpeedDialEnable() {
    return speedDialEnable;
  }

  public void setSpeedDialEnable(Boolean speedDialEnable) {
    this.speedDialEnable = speedDialEnable;
  }

  public VoipTelephoneBookSetting speedDialNumberType(Integer speedDialNumberType) {
    this.speedDialNumberType = speedDialNumberType;
    return this;
  }

  /**
   * speedDialNumberType should be a value as follows: 0: Private Phone Number; 1: Work Phone Number; 2: Mobile Phone Number.
   * @return speedDialNumberType
  */
  @ApiModelProperty(value = "speedDialNumberType should be a value as follows: 0: Private Phone Number; 1: Work Phone Number; 2: Mobile Phone Number.")


  public Integer getSpeedDialNumberType() {
    return speedDialNumberType;
  }

  public void setSpeedDialNumberType(Integer speedDialNumberType) {
    this.speedDialNumberType = speedDialNumberType;
  }

  public VoipTelephoneBookSetting speedDialNumber(String speedDialNumber) {
    this.speedDialNumber = speedDialNumber;
    return this;
  }

  /**
   * The speedDialNumber of contact person.
   * @return speedDialNumber
  */
  @ApiModelProperty(value = "The speedDialNumber of contact person.")


  public String getSpeedDialNumber() {
    return speedDialNumber;
  }

  public void setSpeedDialNumber(String speedDialNumber) {
    this.speedDialNumber = speedDialNumber;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoipTelephoneBookSetting voipTelephoneBookSetting = (VoipTelephoneBookSetting) o;
    return Objects.equals(this.contactId, voipTelephoneBookSetting.contactId) &&
        Objects.equals(this.firstName, voipTelephoneBookSetting.firstName) &&
        Objects.equals(this.lastName, voipTelephoneBookSetting.lastName) &&
        Objects.equals(this.privatePhoneNumber, voipTelephoneBookSetting.privatePhoneNumber) &&
        Objects.equals(this.workPhoneNumber, voipTelephoneBookSetting.workPhoneNumber) &&
        Objects.equals(this.mobilePhoneNumber, voipTelephoneBookSetting.mobilePhoneNumber) &&
        Objects.equals(this.speedDialEnable, voipTelephoneBookSetting.speedDialEnable) &&
        Objects.equals(this.speedDialNumberType, voipTelephoneBookSetting.speedDialNumberType) &&
        Objects.equals(this.speedDialNumber, voipTelephoneBookSetting.speedDialNumber);
  }

  @Override
  public int hashCode() {
    return Objects.hash(contactId, firstName, lastName, privatePhoneNumber, workPhoneNumber, mobilePhoneNumber, speedDialEnable, speedDialNumberType, speedDialNumber);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoipTelephoneBookSetting {\n");
    
    sb.append("    contactId: ").append(toIndentedString(contactId)).append("\n");
    sb.append("    firstName: ").append(toIndentedString(firstName)).append("\n");
    sb.append("    lastName: ").append(toIndentedString(lastName)).append("\n");
    sb.append("    privatePhoneNumber: ").append(toIndentedString(privatePhoneNumber)).append("\n");
    sb.append("    workPhoneNumber: ").append(toIndentedString(workPhoneNumber)).append("\n");
    sb.append("    mobilePhoneNumber: ").append(toIndentedString(mobilePhoneNumber)).append("\n");
    sb.append("    speedDialEnable: ").append(toIndentedString(speedDialEnable)).append("\n");
    sb.append("    speedDialNumberType: ").append(toIndentedString(speedDialNumberType)).append("\n");
    sb.append("    speedDialNumber: ").append(toIndentedString(speedDialNumber)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

